> This page is for Unified.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.merge.dev/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.merge.dev/_mcp/server.

# /bank-feed-transactions

POST https://api.merge.dev/api/accounting/v1/bank-feed-transactions
Content-Type: application/json

Creates a `BankFeedTransaction` object with the given values.

Reference: https://docs.merge.dev/merge-unified/accounting/common-models/bank-feed-transactions/list

## Authentication

- `Authorization` header (bearer token, required) — Token-based authentication with required prefix "Bearer"

## Servers

- `https://api.merge.dev/api` (Production, default)
- `https://api-eu.merge.dev/api` (ProductionEU)
- `https://api-ap.merge.dev/api` (ProductionAPSE1)

## Request

### Query parameters

- `is_debug_mode` (boolean, optional) — Whether to include debug fields (such as log file links) in the response.
- `run_async` (boolean, optional) — Whether or not third-party updates should be run asynchronously.

### Headers

- `X-Account-Token` (string, required) — Token identifying the end user.

### Body (application/json)

This endpoint expects a BankFeedTransactionEndpointRequest.

- `model` (BankFeedTransactionRequestRequest, required) — # The BankFeedTransaction Object ### Description The `BankFeedTransaction` object is used to represent transactions linked to a bank feed account. This includes details about the transaction such as the date, amount, description, and type. ### Usage Example Fetch from the `GET BankFeedTransaction` endpoint to view details of a transaction associated with a bank feed account.

## Response

### 201

- `model` (BankFeedTransaction, required) — # The BankFeedTransaction Object ### Description The `BankFeedTransaction` object is used to represent transactions linked to a bank feed account. This includes details about the transaction such as the date, amount, description, and type. ### Usage Example Fetch from the `GET BankFeedTransaction` endpoint to view details of a transaction associated with a bank feed account.
- `warnings` (list of WarningValidationProblem, required)
- `errors` (list of ErrorValidationProblem, required)
- `logs` (list of DebugModeLog, optional)

## Types

### BankFeedTransactionRequestRequest

# The BankFeedTransaction Object ### Description The `BankFeedTransaction` object is used to represent transactions linked to a bank feed account. This includes details about the transaction such as the date, amount, description, and type. ### Usage Example Fetch from the `GET BankFeedTransaction` endpoint to view details of a transaction associated with a bank feed account.

- `bank_feed_account` (string, required, nullable) — The bank feed account associated with the transaction.
- `transaction_date` (datetime, optional, nullable) — The date that the transaction occurred.
- `posted_date` (datetime, optional, nullable) — The date the transaction was posted to the bank account.
- `amount` (double, optional, nullable) — The amount of the transaction.
- `description` (string, optional, nullable) — The description of the transaction.
- `transaction_type` (string, optional, nullable) — The underlying type of the transaction.
- `payee` (string, optional, nullable) — The person or merchant who initiated the transaction, or alternatively, to whom the transaction was paid.
- `credit_or_debit` (enum, optional, nullable) — If the transaction is of type debit or credit.
  - Allowed values: `CREDIT`, `DEBIT`
- `source_transaction_id` (string, optional, nullable) — The customer’s identifier for the transaction.
- `integration_params` (map from string to any, optional, nullable)
- `linked_account_params` (map from string to any, optional, nullable)

### BankFeedTransaction

# The BankFeedTransaction Object ### Description The `BankFeedTransaction` object is used to represent transactions linked to a bank feed account. This includes details about the transaction such as the date, amount, description, and type. ### Usage Example Fetch from the `GET BankFeedTransaction` endpoint to view details of a transaction associated with a bank feed account.

- `id` (string, optional)
- `remote_id` (string, optional, nullable) — The third-party API ID of the matching object.
- `created_at` (datetime, optional) — The datetime that this object was created by Merge.
- `modified_at` (datetime, optional) — The datetime that this object was modified by Merge.
- `bank_feed_account` (string, optional, nullable) — The bank feed account associated with the transaction.
- `transaction_date` (datetime, optional, nullable) — The date that the transaction occurred.
- `posted_date` (datetime, optional, nullable) — The date the transaction was posted to the bank account.
- `amount` (double, optional, nullable) — The amount of the transaction.
- `description` (string, optional, nullable) — The description of the transaction.
- `transaction_type` (string, optional, nullable) — The underlying type of the transaction.
- `payee` (string, optional, nullable) — The person or merchant who initiated the transaction, or alternatively, to whom the transaction was paid.
- `credit_or_debit` (enum, optional, nullable) — If the transaction is of type debit or credit.
  - Allowed values: `CREDIT`, `DEBIT`
- `source_transaction_id` (string, optional, nullable) — The customer’s identifier for the transaction.
- `bank_feed_transaction_url` (string, optional, nullable) — The 3rd party URL of the bank feed transaction.
- `remote_was_deleted` (boolean, optional) — Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. [Learn more](https://docs.merge.dev/integrations/hris/supported-features/).
- `is_processed` (boolean, optional) — Whether or not this transaction has been processed by the external system. For example, NetSuite writes this field as True when the SuiteApp has processed the transaction.

### WarningValidationProblem

- `title` (string, required)
- `detail` (string, required)
- `problem_type` (string, required)
- `source` (ValidationProblemSource, optional)
- `block_merge_link` (boolean, optional)
- `raw_error` (string, optional)
- `error_code` (integer, optional)

### ErrorValidationProblem

- `title` (string, required)
- `detail` (string, required)
- `problem_type` (string, required)
- `source` (ValidationProblemSource, optional)
- `block_merge_link` (boolean, optional)
- `raw_error` (string, optional)
- `error_code` (integer, optional)

### DebugModeLog

- `log_id` (string, required)
- `dashboard_view` (string, required)
- `log_summary` (DebugModelLogSummary, required)

### ValidationProblemSource

- `pointer` (string, required)

### DebugModelLogSummary

- `url` (string, required)
- `method` (string, required)
- `status_code` (integer, required)

## Examples

**Request**

```json
{
  "model": {
    "bank_feed_account": "49cd5a42-b311-4750-9361-52e2ed1d4653"
  }
}
```

**Response**

```json
{
  "model": {
    "id": "b26fd49a-cbae-470a-a8f8-bcbc119e0390",
    "remote_id": "987300",
    "created_at": "2021-09-15T00:00:00Z",
    "modified_at": "2021-10-16T00:00:00Z",
    "bank_feed_account": "49cd5a42-b311-4750-9361-52e2ed1d4653",
    "transaction_date": "2024-02-02T00:00:00.000Z",
    "posted_date": "2024-02-03T00:00:00.000Z",
    "amount": 100.1,
    "description": "Lunch expense",
    "transaction_type": "payment",
    "payee": "Elmo's diner",
    "credit_or_debit": "CREDIT",
    "source_transaction_id": "124569",
    "bank_feed_transaction_url": "https://qbo.intuit.com/app/bankfeedtransaction/987300",
    "remote_was_deleted": true,
    "is_processed": true
  },
  "warnings": [
    {
      "title": "Unrecognized Field",
      "detail": "An unrecognized field, age, was passed in with request data.",
      "problem_type": "UNRECOGNIZED_FIELD",
      "source": {
        "pointer": "/age"
      },
      "block_merge_link": true,
      "raw_error": "string",
      "error_code": 1
    }
  ],
  "errors": [
    {
      "title": "Missing Required Field",
      "detail": "custom_fields is a required field on model.",
      "problem_type": "MISSING_REQUIRED_FIELD",
      "source": {
        "pointer": "/model/custom_fields"
      },
      "block_merge_link": true,
      "raw_error": "string",
      "error_code": 1
    }
  ],
  "logs": [
    {
      "log_id": "99433219-8017-4acd-bb3c-ceb23d663832",
      "dashboard_view": "https://app.merge.dev/logs/99433219-8017-4acd-bb3c-ceb23d663832",
      "log_summary": {
        "url": "www.exampleintegration.com/api/v1/exampleapi",
        "method": "POST",
        "status_code": 200
      }
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.merge.dev/api/accounting/v1/bank-feed-transactions"

payload = { "model": { "bank_feed_account": "49cd5a42-b311-4750-9361-52e2ed1d4653" } }
headers = {
    "X-Account-Token": "X-Account-Token",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.merge.dev/api/accounting/v1/bank-feed-transactions';
const options = {
  method: 'POST',
  headers: {
    'X-Account-Token': 'X-Account-Token',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: '{"model":{"bank_feed_account":"49cd5a42-b311-4750-9361-52e2ed1d4653"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.merge.dev/api/accounting/v1/bank-feed-transactions"

	payload := strings.NewReader("{\n  \"model\": {\n    \"bank_feed_account\": \"49cd5a42-b311-4750-9361-52e2ed1d4653\"\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-Account-Token", "X-Account-Token")
	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.merge.dev/api/accounting/v1/bank-feed-transactions")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-Account-Token"] = 'X-Account-Token'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"model\": {\n    \"bank_feed_account\": \"49cd5a42-b311-4750-9361-52e2ed1d4653\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.merge.dev/api/accounting/v1/bank-feed-transactions")
  .header("X-Account-Token", "X-Account-Token")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"model\": {\n    \"bank_feed_account\": \"49cd5a42-b311-4750-9361-52e2ed1d4653\"\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.merge.dev/api/accounting/v1/bank-feed-transactions', [
  'body' => '{
  "model": {
    "bank_feed_account": "49cd5a42-b311-4750-9361-52e2ed1d4653"
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
    'X-Account-Token' => 'X-Account-Token',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.merge.dev/api/accounting/v1/bank-feed-transactions");
var request = new RestRequest(Method.POST);
request.AddHeader("X-Account-Token", "X-Account-Token");
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"model\": {\n    \"bank_feed_account\": \"49cd5a42-b311-4750-9361-52e2ed1d4653\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-Account-Token": "X-Account-Token",
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["model": ["bank_feed_account": "49cd5a42-b311-4750-9361-52e2ed1d4653"]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.merge.dev/api/accounting/v1/bank-feed-transactions")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```